Bug 5965 - Make sure opac-detail.pl outputs marc in utf-8
Summary: Make sure opac-detail.pl outputs marc in utf-8
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5584
  Show dependency treegraph
 
Reported: 2011-03-28 02:03 UTC by Chris Cormack
Modified: 2012-10-25 23:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (803 bytes, patch)
2011-03-28 02:06 UTC, Chris Cormack
Details | Diff | Splinter Review
Followup patch (1003 bytes, patch)
2011-03-28 02:06 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-03-28 02:03:00 UTC

    
Comment 1 Chris Cormack 2011-03-28 02:05:04 UTC
This will need to be tested quite well. To make sure it does not double encode
Comment 2 Chris Cormack 2011-03-28 02:06:01 UTC
Created attachment 3455 [details] [review]
Proposed Patch
Comment 3 Chris Cormack 2011-03-28 02:06:19 UTC
Created attachment 3456 [details] [review]
Followup patch
Comment 4 Julian Maurice 2011-03-30 10:25:47 UTC
Tested with some already utf-8 encoded records, and it does not double encode.
Signed off.
Comment 5 Chris Cormack 2011-04-01 00:18:34 UTC
Pushed, please test